APIs / Hacker News / Search
Hacker News: Search
Search from Hacker News as JSON. 1 credit per successful call.
GET /v1/hacker-news/searchNeeds terms
Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
query | string | Required | Up to 100 characters |
type | string | Optional | story, comment |
sort | string | Optional | relevance, date |
page | integer | Optional | Any |
per_page | integer | Optional | Any |
date_from | integer | Optional | Any |
date_to | integer | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/hacker-news/search?query=dishwasher&type=story" \
-H "X-API-Key: $API_KEY"